seq_read
Prev | Other Functions | Next

## Name

seq_read — ->`read` method for sequential files.

## Synopsis

`ssize_t seq_read (` | struct file * | file,
| char __user * | buf,
| size_t | size,
| loff_t * | ppos`)`;

## Arguments

`file`

  the file to read from

`buf`

  the buffer to read to

`size`

  the maximum number of bytes to read

`ppos`

  the current position in the file

## Description

Ready-made ->f_op->`read`

Prev | Up | Next
seq_open | Home | seq_lseek